<?php 

namespace App\Controller\Web;

class NewsController 
{
    /**
     * $config.
     *
     * @var array
     */	
	protected $config;

	public function __construct()
	{
		$this->config = config('news');
	}	

	/**
	 * 首頁
	 */
	public function index()
	{	
		// 頁數
		$page = \Request::query('page' , 1);
		$page_show = 10;

		// Data
		$data = \DB::table($this->config['table'])					
					->where([ ['act', 1], ['del', 0] ])
				   	->orderBy('date', 'desc')
				   	->orderBy('id', 'desc')
				   	->paginate($page_show, ['*'], 'page', $page)
				   	->withPath(base_path(\Request::path()))
				   	->appends(\Request::query());		  
 
		$view = \View::make("web.{$this->config['folder']}.index", compact( 'level_1_class_id' , 'news_class' , 'news_class_tree' , 'data' ))->render();

		return \Response::create($view)->send();
	}

	/**
	 * 資料內頁
	 */
	public function detail( $id)
	{
		
		// Data
	    $data = \DB::table($this->config['table'])
	    		   ->where([['id', $id], ['act', 1], ['del', 0]])
	    		   ->first();

	    	   

	    $view = \View::make("web.{$this->config['folder']}.detail", compact( 'class_id' , 'news_class' , 'news_class_tree' , 'data' , 'prev' , 'next' ))->render();

	    return \Response::create($view)->send();	
	}
}