<?php

// 多語言判斷
if (Request::ajax() === false) {
	if (\Str::contains(Request::path(), 'admin')) {
		$suffix = BACK_DB_LANG;
	} else {
		$suffix = DB_LANG;
	}
} else {
	if (\Str::contains(Session::get('previous_url'), 'admin')) {
		$suffix = BACK_DB_LANG;
	} else {
		$suffix = DB_LANG;
	}
}

return [
	'config'   => 'contact',
	'table'    => 'contact' . $suffix,
	'folder'   => 'contact',
	'link_tag' => 'contact',

	'page_title' => '聯絡我們' . BACK_TITLE_CHAR,
	'col_title'  => '',

	'page_show'	 => 10,				 // 資料每頁顯示比數

	//-------------驗證規則區-------------
	'rule' => [
		'name'    => 'required',		
		'tel'     => 'required|numeric',
		'email'   => 'required|email',
		'info'    => 'required',
	],
	'rule_message' => [
		'name.required'    => '姓名 尚未填寫',		
		'tel.required'     => '聯絡電話 尚未填寫',
		'tel.numeric'      => '聯絡電話 請輸入數字',
		'email.required'   => 'E-mail 尚未填寫',
		'email.email'      => 'E-mail 不符合格式',
		'info.required'    => '詢問內容 尚未填寫',
	],
	// 'rule_message_en' => [
	// 	'name.required'    => 'Please enter [Name].',
	// 	'sex.required'     => 'Please select [Gender].',
	// 	'tel.required'     => 'Please enter [Tel].',
	// 	'tel.numeric'      => '[Tel]  Please enter the number',
	// 	'email.required'   => 'Please enter [E-mail].',
	// 	'email.email'      => '[Email] is incorrect.',
	// 	'info.required'    => 'Please enter [Message].',
	// ],

	// 'captcha_rule' => [
	// 	'captcha' => 'required|in:'.\Session::get('captcha'),
	// ],

	// 'captcha_rule_message' => [
 //        'captcha.required' => '驗證碼 尚未填寫',
 //        'captcha.in'       => '驗證碼 輸入錯誤',
	// ],
	// 'captcha_rule_message_en' => [
	// 	'required' => 'Please enter [Captcha].',
	// 	'in'       => '[Captcha] Input error',
	// ],

	'g-recaptcha-response_rule' => [
		'g-recaptcha-response' => 'required|captcha',
	],

	'g-recaptcha-response_rule_message' => [
		'g-recaptcha-response.required' => '請確認你不是機器人!',
		'g-recaptcha-response.captcha'  => '驗證錯誤! 請稍後再試或者聯繫網站管理員',
	],
	// 'g-recaptcha-response_rule_message_en' => [
	// 	'g-recaptcha-response.required' => 'Please confirm that you are not a robot!',
	// 	'g-recaptcha-response.captcha'  => 'Verification error! Please try again later or contact the webmaster',
	// ],
	//-------------------------------------
];