@extends('web.includes.layout',[
    'page_title' => '關於我們 - ',
    'main_id' => 'about',
    'seo' => true,
    'seo_description' => '',
    'seo_image'=> '',
    'seo_type' => 'website',
])


@push('head')

@endpush
@push('script')

@endpush


@section('main')

<div id="inner-banner" class="position-relative">
    <img src="{{ resources_path() }}_img/about/banner.jpg" alt="">
    <div class="banner-txt text-white">
        <div class="t1 fs-40 font-weight-bold">ABOUT US</div>
        <div class="t2 fs-20 font-weight-bold">關於我們</div>
    </div>
</div>
<div id="bread">
    <div class="container py-2">
        <ul class="bread-list row text-primary2 fs-14">
            <li class="bread-item col-auto"><a href="{{ base_path() }}"><i class="far fa-house mr-1"></i>HOME</a></li>
            <li class="bread-item col-auto"><a href="{{ base_path(Request::path()) }}">關於我們</a></li>
        </ul>
    </div>
</div>

<article>
    <section id="about-section1" class="py-5">
        <div class="container">
            <div class="row">
                <div class="col-md-9 mx-auto">
                    <div class="row justify-content-center mb-5">
                        <div class="col-auto">
                            <div class="company-name d-flex align-items-center ani" data-ani="fadeIn">
                                <img src="{{ resources_path() }}_img/layout/logo2.png" alt="" class="mr-3">
                                <div class="name">
                                    <div class="t1 fs-20 font-weight-bold">特銘實業股份有限公司</div>
                                    <div class="font-weight-bold">TO MING ENT. CO., LTD</div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row overflow-y-h">
                        <div class="col-12 ani" data-ani="fadeInUp">
                            本公司為製管設備專業製造廠，創辦人於西元1981年接觸到製管設備相關行業，累積多年經驗，有鑒於製管設備上有許多改進發展空間，毅然於西元1992年4月投入製管設備行業，成立<span class="text-primary font-weight-bold">華銘公司</span>並購進CNC電腦車床及相關電腦化設備，專心致力於製管機械及製管輥輪的研發設計。<br>
                            <br>
                            西元1993年3月公司更名為<span class="text-primary font-weight-bold">特銘實業股份有限公司</span>專責輥輪研發設計。<br>
                            西元1995年有幸與業界合作開發新型特殊管，有單槽圓方管及雙槽圓方管並獲得多國專利。在公司同仁不斷的努力研發及嚴格的品質管制，製造出的產品受到業界的推崇與肯定，尚祈各位先進不吝指教。
                        </div>
                    </div>
                </div>
            </div>
            <div class="about-contact row no-gutters mt-5 ani" data-ani="fadeIn">
                <div class="img-1">
                    <img src="{{ resources_path() }}_img/about/img01.jpg" alt="">
                </div>
                <div class="img-2 text-white text-center">
                    <div class="content">
                        <div class="fs-20">
                            如有任何客製需求<br>
                            歡迎來電洽詢 或 填寫線上表單
                        </div>
                        <div class="phone fs-30 font-weight-bold my-4">
                            <i class="fas fa-phone"></i>
                            <a href="tel:886-4-8927160" target="_blank">886-4-8927160</a>
                        </div>
                        <a href="{{ base_path() }}contact" class="big-btn btn btn-primary">
                            <div class="btn-content">
                                <span class="t fs-20 font-weight-bold">填寫線上表單</span>
                                <i class="fas fa-external-link fs-20 ml-3"></i>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </section>
</article>



@endsection