@extends('web.includes.layout',[
    'page_title' => '客製化服務 - ',
    'main_id' => 'customized',
    'seo' => true,
    'seo_description' => '',
    'seo_image'=> '',
    'seo_type' => 'website',
])


@push('head')

@endpush
@push('script')

<script>
    var smallSwiper = new Swiper('.customized-slider', {
        slidesPerView: 4,
        spaceBetween: 20,
        autoHeight: true,
        // centerInsufficientSlides: true,
        watchSlidesVisibility: true,//防止不可点击
        navigation: {
            nextEl: '.c-next',
            prevEl: '.c-prev',
        },
        breakpoints: {
            960: {
                slidesPerView: 3,
            },
            767: {
                slidesPerView: 2,
            },
            480: {
                slidesPerView: 1,
            }
        }
    })
    
</script>

@endpush


@section('main')

<div id="inner-banner" class="position-relative">
    <img src="{{ resources_path() }}_img/customized/banner.jpg" alt="">
    <div class="banner-txt text-white">
        <div class="t1 fs-40 font-weight-bold">CUSTOMIZED</div>
        <div class="t2 fs-20 font-weight-bold">客製化服務</div>
    </div>
</div>
<div id="bread">
    <div class="container py-2">
        <ul class="bread-list row text-primary2 fs-14">
            <li class="bread-item col-auto"><a href="{{ base_path() }}"><i class="far fa-house mr-1"></i>HOME</a></li>
            <li class="bread-item col-auto"><a href="{{ base_path(Request::path()) }}">客製化服務</a></li>
        </ul>
    </div>
</div>

<article>
    <section id="customized-section" class="py-5">
        <div class="container">
            <div class="row">
                <div class="col-12 position-relative">
                    <div class="customized-slider swiper-container">
                        <div class="swiper-wrapper">
                            @forelse ($data as $element)
                            <div class="customized-item swiper-slide">
                                <div class="content">
                                    <div class="img-row shadow">
                                        <div class="pic cover">
                                            <span><img src="{{ storage_path($element['pic']) }}" alt=""></span>
                                        </div>
                                        <div class="c-name fs-20 text-white font-weight-bold text-center">
                                            <span>{{ $element['name'] }}</span>
                                        </div>
                                    </div>
                                    <div class="txt-row mt-4">
                                        {!! nl2br($element['s_info']) !!}
                                    </div>
                                </div>
                            </div>     
                            @empty                           
                            @endforelse
                        </div>
                    </div>
                    <div class="c-prev swiper-button-prev"><i class="fas fa-chevron-left fs-30 text-primary"></i></div>
                    <div class="c-next swiper-button-next"><i class="fas fa-chevron-right fs-30 text-primary"></i></div>
                </div>
                <div class="col-12 text-center mt-5">
                    <a href="{{ base_path() }}contact" class="big-btn btn btn-primary">
                        <div class="btn-content">
                            <span class="t fs-20 font-weight-bold">客製化服務諮詢</span>
                            <i class="fas fa-external-link fs-20 ml-3"></i>
                        </div>
                    </a>
                </div>
            </div>
        </div>
        
    </section>
</article>



@endsection