@extends('web.includes.layout',[
    'page_title' => '最新消息 - ',
    'main_id' => 'news',
    'seo' => true,
    'seo_description' => '',
    'seo_image'=> '',
    'seo_type' => 'website',
])


@push('head')

@endpush
@push('script')


@endpush


@section('main')

<div id="inner-banner" class="position-relative">
    <img src="{{ resources_path() }}_img/news/banner.jpg" alt="">
    <div class="banner-txt text-white">
        <div class="t1 fs-40 font-weight-bold">NEWS</div>
        <div class="t2 fs-20 font-weight-bold">最新消息</div>
    </div>
</div>
<div id="bread">
    <div class="container py-2">
        <ul class="bread-list row text-primary2 fs-14">
            <li class="bread-item col-auto"><a href="{{ base_path() }}"><i class="far fa-house mr-1"></i>NEWS</a></li>
            <li class="bread-item col-auto"><a href="{{ base_path(Request::path()) }}">最新消息</a></li>
        </ul>
    </div>
</div>

<article>
    <section id="news-section" class="py-5">
        <div class="container">
            <div class="news-list row">
                @forelse ($data as $element)
                <div class="news-item col-12 mb-5">
                    <div class="row">
                        <div class="img-row col-lg-3 col-md-4">
                            <a href="{{ base_path() }}news/{{ $element['id'] }}" class="pic pic-4by3 cover d-block">
                                <span><img @if(!empty($element['pic'])) src="{{ storage_path($element['pic']) }}"@else src="{{ resources_path() }}_img/news/default.jpg" @endif alt=""></span>
                            </a>
                        </div>
                        <div class="txt-row col-lg-9 col-md-8 pl-lg-5 mt-3 mt-md-0">
                            <div class="content border-top border-primary pt-4 d-flex flex-md-nowrap flex-wrap align-items-end">
                                <div class="n-info flex-grow-1 pr-4">
                                    <div class="date fs-14 font-weight-bold text-c2 mb-4">{{ date("Y-m-d", strtotime($element['date'])) }}</div>
                                    <div class="n-title font-weight-bold">{{ $element['name'] }}</div>
                                    <div class="n-detail text-c2">
                                        {{ mb_substr( strip_tags($element['info']) , 0 , 120 , 'utf-8') }}
                                    </div>
                                </div>
                                <div class="n-more text-right flex-shrink-0">
                                    <a href="{{ base_path() }}news/{{ $element['id'] }}" class="big-btn outline btn btn-primary">
                                        <div class="btn-content">
                                            <span class="t font-weight-bold">觀看更多</span>
                                            <i class="fas fa-angle-right fs-20 ml-3"></i>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                @empty
                @endforelse
            </div>
            <div class="row">
                <div class="col-12 text-center">
                    
                    @include('web.includes.page')

                </div>
            </div>
        </div>        
    </section>
</article>



@endsection