@extends('web.includes.layout',[
    'page_title' => {{--產品名稱--}}' - ',
    'main_id' => 'product',
    'seo' => true,
    'seo_description' => '',
    'seo_image'=> '',
    'seo_type' => 'website',
])


@push('head')

@endpush
@push('script')

<script>
    var smallSwiper = new Swiper('.slider-small', {
        slidesPerView: 6,
        spaceBetween: 10,
        centerInsufficientSlides: true,
        watchSlidesVisibility: true,//防止不可点击
        navigation: {
            nextEl: '.small-next',
            prevEl: '.small-prev',
        },
    })
    var bigSwiper = new Swiper('.slider-big', {
        thumbs: {
            swiper: smallSwiper,
        }
    });
</script>

@endpush


@section('main')

<div id="inner-banner" class="position-relative">
    <img src="{{ resources_path() }}_img/product/banner.jpg" alt="">
    <div class="banner-txt text-white">
        <div class="t1 fs-40 font-weight-bold">PRODUCTS</div>
        <div class="t2 fs-20 font-weight-bold">產品介紹</div>
    </div>
</div>
<div id="bread">
    <div class="container py-2">
        <ul class="bread-list row text-primary2 fs-14">
            <li class="bread-item col-auto"><a href="{{ base_path() }}"><i class="far fa-house mr-1"></i>HOME</a></li>
            <li class="bread-item col-auto"><a href="{{ base_path() }}product">產品介紹</a></li>
            <li class="bread-item col-auto"><a href="{{ base_path(Request::path()) }}">{{ $data['name'] }}</a></li>
        </ul>
    </div>
</div>

<article>
    <section id="product-index" class="py-5">
        <div class="container aside-style">
            <div class="row">
                <aside class="col-lg-2 d-none d-lg-block">
                    <div class="aside-title bg-primary3 px-2 py-3">
                        <div class="main-title light">
                            <div class="t1 fs-20 font-weight-bold text-white">產品列表</div>
                        </div>
                    </div>
                    <ul class="aside-list mb-0 bg-primary4 py-4">
                        @forelse($products as $class)
                        <li class="aside-item font-weight-bold"><a href="{{ base_path() }}product/{{ $class['id'] }}" class="px-3 py-2 d-block">{{ $class['name'] }}</a></li>
                        @empty
                        @endforelse
                    </ul>
                </aside>
                <div class="right-block col-lg-10">
                    <div class="p-top row">
                        <div class="p-img col-md-6 mb-4 mb-md-0">
                            <div class="slider-big swiper-container">
                                <div class="swiper-wrapper">
                                	<div class="swiper-slide">
                                        <a href="{{ storage_path($data['pic']) }}" data-fancybox="case" class="pic d-flex align-items-center justify-content-center">
                                            <span><img src="{{ storage_path($data['pic']) }}" alt=""></span>
                                        </a>
                                    </div>
                                    @forelse ($pics_data as $element)
                                    <div class="swiper-slide">
                                        <a href="{{ storage_path($element['pic']) }}" data-fancybox="case" class="pic d-flex align-items-center justify-content-center">
                                            <span><img src="{{ storage_path($element['pic']) }}" alt=""></span>
                                        </a>
                                    </div>     
                                    @empty                               
                                    @endforelse
                                </div>
                            </div>
                            <div class="position-relative">
                                <div class="slider-small swiper-container mt-3">
                                    <div class="swiper-wrapper">
                                    	<div class="swiper-slide">
	                                        <div class="bg-img bg-cover" style="background-image: url({{ storage_path($data['pic']) }})"></div>
	                                    </div>     
                                        @forelse ($pics_data as $element)
	                                    <div class="swiper-slide">
	                                        <div class="bg-img bg-cover" style="background-image: url({{ storage_path($element['pic']) }})"></div>
	                                    </div>     
	                                    @empty                               
	                                    @endforelse
                                    </div>
                                </div>
                                <div class="swiper-button-prev small-prev"><i class="fal fa-angle-left fs-40"></i></div>
                                <div class="swiper-button-next small-next"><i class="fal fa-angle-right fs-40"></i></div>
                            </div>
                        </div>
                        <div class="p-info col-md-6 px-4">
                            <div class="p-name fs-20 font-weight-bold mb-5">
                                <span>{{ $data['name'] }}</span>
                            </div>
                            <div class="s-info editor">
                                {!! nl2br($data['s_info']) !!}
                            </div>
                        </div>
                    </div>
                    <div class="p-process row my-7">
                        <div class="col-12">
                            <div class="border text-center">
                                <div class="process-text fs-25 font-weight-bold d-inline-block">PROCESS 製程圖</div>
                                <img src="{{ resources_path() }}_img/product/process.png" alt="" class="mx-auto mt-4">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div class="editor">
                                {!! htmlspecialchars_decode($data['info']) !!}
                            </div>
                        </div>
                        <div class="col-12 mt-5 text-center">
                            <a href="javascript:history.go(-1);" class="more-btn btn btn-outline-primary d-inline-flex">
                                <i class="fas fa-angle-left"></i>
                                <div class="t fs-14 font-weight-bold">回產品列表</div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
    </section>
</article>



@endsection