<?php

// 路由 - 只接受三個參數 0 => Http Method , 2 => 控制器@方法 , 3 => 中介層 (陣列 可多個)
// 路由路徑 - 帶入控制器方法的參數 請務必用 {} 包起來, 以搜尋 " /{ " 來判斷後面的全都是參數

return [
	// 登入/登出
	['admin'        => ['get', 'Admin\LoginController@index', ['admin.guest'] ] ],
	['admin'        => ['post', 'Admin\LoginController@login', ['admin.guest'] ] ],
	['admin/logout' => ['get', 'Admin\LoginController@logout'] ],

	// 首頁
	['admin/index' => ['get', 'Admin\IndexController@index', ['admin'] ] ],

	// 帳號管理
	['admin/account/upd_pw/{id}' => ['get', 'Admin\AccountController@show_upd_pw', ['admin'] ] ],
	['admin/account/upd_pw/{id}'  => ['patch', 'Admin\AccountController@upd_pw', ['admin'] ] ],

	// HTML 編輯器
	['admin/html-editor/manager'            => ['get', 'Admin\HtmlEditorManagerController@show', ['admin'] ] ],
	['admin/html-editor/manager/{class_id}' => ['get', 'Admin\HtmlEditorManagerController@show', ['admin'] ] ],
	['admin/html-editor/{class_id}/{id}'    => ['post', 'Admin\HtmlEditorManagerController@add', ['admin'] ] ],
	['admin/html-editor/{class_id}/{id}'    => ['patch', 'Admin\HtmlEditorManagerController@upd', ['admin'] ] ],
	['admin/html-editor/{class_id}/{id}'    => ['delete', 'Admin\HtmlEditorManagerController@del', ['admin'] ] ],
		# 上傳圖片
	['admin/html-editor/image-upload'       => ['post', 'Admin\HtmlEditorManagerController@single_image_upload', ['admin'] ] ],
		# 多圖
	['admin/html-editor/ajax/pics/{pid}' => ['get', 'Admin\HtmlEditorManagerController@ajax_pics_get'] ],
	['admin/html-editor/ajax/pics/{pid}' => ['post', 'Admin\HtmlEditorManagerController@ajax_pics_upload'] ],
	['admin/html-editor/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\HtmlEditorManagerController@ajax_pics_upd'] ],
	['admin/html-editor/ajax/pics/{pid}/{id}' => ['delete', 'Admin\HtmlEditorManagerController@ajax_pics_del'] ],

	// Page (開發用)
	['admin/page'      => ['get', 'Admin\PageController@index', ['admin'] ] ],
	['admin/page/{id}' => ['get', 'Admin\PageController@edit', ['admin'] ] ],
	['admin/page/{id}' => ['post', 'Admin\PageController@add', ['admin'] ] ],
	['admin/page/{id}' => ['patch', 'Admin\PageController@upd', ['admin'] ] ],
	['admin/page/{id}' => ['delete', 'Admin\PageController@del', ['admin'] ] ],
		# 多圖
	['admin/page/ajax/pics/{pid}' => ['get', 'Admin\PageController@ajax_pics_get'] ],
	['admin/page/ajax/pics/{pid}' => ['post', 'Admin\PageController@ajax_pics_upload'] ],
	['admin/page/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\PageController@ajax_pics_upd'] ],
	['admin/page/ajax/pics/{pid}/{id}' => ['delete', 'Admin\PageController@ajax_pics_del'] ],
		# 多檔
	['admin/page/ajax/files/{pid}' => ['get', 'Admin\PageController@ajax_files_get'] ],
	['admin/page/ajax/files/{pid}' => ['post', 'Admin\PageController@ajax_files_upload'] ],
	['admin/page/ajax/files/{pid}/{id}/{column}' => ['patch', 'Admin\PageController@ajax_files_upd'] ],
	['admin/page/ajax/files/{pid}/{id}' => ['delete', 'Admin\PageController@ajax_files_del'] ],

	// SEO
		# 分類
	['admin/seo_class/{class_id}'      => ['get', 'Admin\SeoClassController@index', ['admin'] ] ],
	['admin/seo_class/{class_id}/{id}' => ['get', 'Admin\SeoClassController@edit', ['admin'] ] ],
	['admin/seo_class/{class_id}/{id}' => ['post', 'Admin\SeoClassController@add', ['admin'] ] ],
	['admin/seo_class/{class_id}/{id}' => ['patch', 'Admin\SeoClassController@upd', ['admin'] ] ],
	['admin/seo_class/{class_id}/{id}' => ['delete', 'Admin\SeoClassController@del', ['admin'] ] ],
	['admin/seo_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\SeoClassController@ajax_upd'] ],
		# 商品
	['admin/seo/{class_id}'      => ['get', 'Admin\SeoController@index', ['admin'] ] ],
	['admin/seo/{class_id}/{id}' => ['get', 'Admin\SeoController@edit', ['admin'] ] ],
	['admin/seo/{class_id}/{id}' => ['post', 'Admin\SeoController@add', ['admin'] ] ],
	['admin/seo/{class_id}/{id}' => ['patch', 'Admin\SeoController@upd', ['admin'] ] ],
	['admin/seo/{class_id}/{id}' => ['delete', 'Admin\SeoController@del', ['admin'] ] ],

	// Banner
	['admin/banner'      => ['get', 'Admin\BannerController@index', ['admin'] ] ],
	['admin/banner/{id}' => ['get', 'Admin\BannerController@edit', ['admin'] ] ],
	['admin/banner/{id}' => ['post', 'Admin\BannerController@add', ['admin'] ] ],
	['admin/banner/{id}' => ['patch', 'Admin\BannerController@upd', ['admin'] ] ],
	['admin/banner/{id}' => ['delete', 'Admin\BannerController@del', ['admin'] ] ],
	['admin/banner/ajax/upd/{id}/{column}' => ['patch', 'Admin\BannerController@ajax_upd'] ],

	// 最新消息
		# 分類
	['admin/news_class/{class_id}'      => ['get', 'Admin\NewsClassController@index', ['admin'] ] ],
	['admin/news_class/{class_id}/{id}' => ['get', 'Admin\NewsClassController@edit', ['admin'] ] ],
	['admin/news_class/{class_id}/{id}' => ['post', 'Admin\NewsClassController@add', ['admin'] ] ],
	['admin/news_class/{class_id}/{id}' => ['patch', 'Admin\NewsClassController@upd', ['admin'] ] ],
	['admin/news_class/{class_id}/{id}' => ['delete', 'Admin\NewsClassController@del', ['admin'] ] ],
	['admin/news_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\NewsClassController@ajax_upd'] ],
		# 商品
	['admin/news/{class_id}'      => ['get', 'Admin\NewsController@index', ['admin'] ] ],
	['admin/news/{class_id}/{id}' => ['get', 'Admin\NewsController@edit', ['admin'] ] ],
	['admin/news/{class_id}/{id}' => ['post', 'Admin\NewsController@add', ['admin'] ] ],
	['admin/news/{class_id}/{id}' => ['patch', 'Admin\NewsController@upd', ['admin'] ] ],
	['admin/news/{class_id}/{id}' => ['delete', 'Admin\NewsController@del', ['admin'] ] ],
	['admin/news/ajax/upd/{id}/{column}' => ['patch', 'Admin\NewsController@ajax_upd'] ],
		# 多圖
	['admin/news/ajax/pics/{pid}' => ['get', 'Admin\NewsController@ajax_pics_get'] ],
	['admin/news/ajax/pics/{pid}' => ['post', 'Admin\NewsController@ajax_pics_upload'] ],
	['admin/news/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\NewsController@ajax_pics_upd'] ],
	['admin/news/ajax/pics/{pid}/{id}' => ['delete', 'Admin\NewsController@ajax_pics_del'] ],
		# 多檔
	['admin/news/ajax/files/{pid}' => ['get', 'Admin\NewsController@ajax_files_get'] ],
	['admin/news/ajax/files/{pid}' => ['post', 'Admin\NewsController@ajax_files_upload'] ],
	['admin/news/ajax/files/{pid}/{id}/{column}' => ['patch', 'Admin\NewsController@ajax_files_upd'] ],
	['admin/news/ajax/files/{pid}/{id}' => ['delete', 'Admin\NewsController@ajax_files_del'] ],

	// 產品介紹
		# 分類
	['admin/product_class/{class_id}'      => ['get', 'Admin\ProductClassController@index', ['admin'] ] ],
	['admin/product_class/{class_id}/{id}' => ['get', 'Admin\ProductClassController@edit', ['admin'] ] ],
	['admin/product_class/{class_id}/{id}' => ['post', 'Admin\ProductClassController@add', ['admin'] ] ],
	['admin/product_class/{class_id}/{id}' => ['patch', 'Admin\ProductClassController@upd', ['admin'] ] ],
	['admin/product_class/{class_id}/{id}' => ['delete', 'Admin\ProductClassController@del', ['admin'] ] ],
	['admin/product_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\ProductClassController@ajax_upd'] ],
		# 商品
	['admin/product/{class_id}'       => ['get', 'Admin\ProductController@index', ['admin'] ] ],
	['admin/product/{class_id}/{id}'  => ['get', 'Admin\ProductController@edit', ['admin'] ] ],
	['admin/product/{class_id}/{id}'  => ['post', 'Admin\ProductController@add', ['admin'] ] ],
	['admin/product/{class_id}/{id}'  => ['patch', 'Admin\ProductController@upd', ['admin'] ] ],
	['admin/product/{class_id}/{id}'  => ['delete', 'Admin\ProductController@del', ['admin'] ] ],
	['admin/product/ajax/upd/{id}/{column}' => ['patch', 'Admin\ProductController@ajax_upd'] ],
		# 多圖
	['admin/product/ajax/pics/{pid}' => ['get', 'Admin\ProductController@ajax_pics_get'] ],
	['admin/product/ajax/pics/{pid}' => ['post', 'Admin\ProductController@ajax_pics_upload'] ],
	['admin/product/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\ProductController@ajax_pics_upd'] ],
	['admin/product/ajax/pics/{pid}/{id}' => ['delete', 'Admin\ProductController@ajax_pics_del'] ],
		# 多檔
	['admin/product/ajax/files/{pid}' => ['get', 'Admin\ProductController@ajax_files_get'] ],
	['admin/product/ajax/files/{pid}' => ['post', 'Admin\ProductController@ajax_files_upload'] ],
	['admin/product/ajax/files/{pid}/{id}/{column}' => ['patch', 'Admin\ProductController@ajax_files_upd'] ],
	['admin/product/ajax/files/{pid}/{id}' => ['delete', 'Admin\ProductController@ajax_files_del'] ],
		# 顏色
	['admin/product/ajax/color/{pid}'      => ['get', 'Admin\ProductController@ajax_color_get'] ],
	['admin/product/ajax/color/{pid}'      => ['post', 'Admin\ProductController@ajax_color_add'] ],
	['admin/product/ajax/color/{pid}/{id}' => ['delete', 'Admin\ProductController@ajax_color_del'] ],
	['admin/product/ajax/color_ac/{value}' => ['get', 'Admin\ProductController@ajax_color_ac'] ],
	['admin/product/ajax/color/pic/{id}'   => ['post', 'Admin\ProductController@ajax_color_pic'] ],
	['admin/product/ajax/color/{pid}/{id}/{column}' => ['patch', 'Admin\ProductController@ajax_color_upd'] ],
		# 規格
	['admin/product/ajax/size/{pid}'      => ['get', 'Admin\ProductController@ajax_size_get'] ],
	['admin/product/ajax/size/{pid}'      => ['post', 'Admin\ProductController@ajax_size_add'] ],
	['admin/product/ajax/size/{pid}/{id}' => ['delete', 'Admin\ProductController@ajax_size_del'] ],
	['admin/product/ajax/size_ac/{value}' => ['get', 'Admin\ProductController@ajax_size_ac'] ],
	['admin/product/ajax/size/pic/{id}'   => ['post', 'Admin\ProductController@ajax_size_pic'] ],
	['admin/product/ajax/size/{pid}/{id}/{column}' => ['patch', 'Admin\ProductController@ajax_size_upd'] ],
		# 庫存
	['admin/product/ajax/stock/{pid}'      => ['get', 'Admin\ProductController@ajax_stock_get'] ],
	['admin/product/ajax/stock/{pid}/{id}' => ['patch', 'Admin\ProductController@ajax_stock_upd'] ],
		# 關聯
	['admin/product/ajax/relate/{pid}'      => ['get', 'Admin\ProductController@ajax_relate_get'] ],
	['admin/product/ajax/relate/{pid}'      => ['post', 'Admin\ProductController@ajax_relate_add'] ],
	['admin/product/ajax/relate/{pid}/{id}' => ['delete', 'Admin\ProductController@ajax_relate_del'] ],
	['admin/product/ajax/relate/search'     => ['get', 'Admin\ProductController@ajax_relate_search'] ],

	// 客製商品
		# 分類
	['admin/customized_class/{class_id}'      => ['get', 'Admin\CustomizedClassController@index', ['admin'] ] ],
	['admin/customized_class/{class_id}/{id}' => ['get', 'Admin\CustomizedClassController@edit', ['admin'] ] ],
	['admin/customized_class/{class_id}/{id}' => ['post', 'Admin\CustomizedClassController@add', ['admin'] ] ],
	['admin/customized_class/{class_id}/{id}' => ['patch', 'Admin\CustomizedClassController@upd', ['admin'] ] ],
	['admin/customized_class/{class_id}/{id}' => ['delete', 'Admin\CustomizedClassController@del', ['admin'] ] ],
	['admin/customized_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\CustomizedClassController@ajax_upd'] ],
		# 商品
	['admin/customized/{class_id}'      => ['get', 'Admin\CustomizedController@index', ['admin'] ] ],
	['admin/customized/{class_id}/{id}' => ['get', 'Admin\CustomizedController@edit', ['admin'] ] ],
	['admin/customized/{class_id}/{id}' => ['post', 'Admin\CustomizedController@add', ['admin'] ] ],
	['admin/customized/{class_id}/{id}' => ['patch', 'Admin\CustomizedController@upd', ['admin'] ] ],
	['admin/customized/{class_id}/{id}' => ['delete', 'Admin\CustomizedController@del', ['admin'] ] ],
	['admin/customized/ajax/upd/{id}/{column}' => ['patch', 'Admin\CustomizedController@ajax_upd'] ],
	
	// 下載檔案
		# 分類
	['admin/download_class/{class_id}'      => ['get', 'Admin\DownloadClassController@index', ['admin'] ] ],
	['admin/download_class/{class_id}/{id}' => ['get', 'Admin\DownloadClassController@edit', ['admin'] ] ],
	['admin/download_class/{class_id}/{id}' => ['post', 'Admin\DownloadClassController@add', ['admin'] ] ],
	['admin/download_class/{class_id}/{id}' => ['patch', 'Admin\DownloadClassController@upd', ['admin'] ] ],
	['admin/download_class/{class_id}/{id}' => ['delete', 'Admin\DownloadClassController@del', ['admin'] ] ],
	['admin/download_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\DownloadClassController@ajax_upd'] ],
		# 商品
	['admin/download/{class_id}'      => ['get', 'Admin\DownloadController@index', ['admin'] ] ],
	['admin/download/{class_id}/{id}' => ['get', 'Admin\DownloadController@edit', ['admin'] ] ],
	['admin/download/{class_id}/{id}' => ['post', 'Admin\DownloadController@add', ['admin'] ] ],
	['admin/download/{class_id}/{id}' => ['patch', 'Admin\DownloadController@upd', ['admin'] ] ],
	['admin/download/{class_id}/{id}' => ['delete', 'Admin\DownloadController@del', ['admin'] ] ],
	['admin/download/ajax/upd/{id}/{column}' => ['patch', 'Admin\DownloadController@ajax_upd'] ],

	// 影音專區
		# 分類
	['admin/video_class/{class_id}'      => ['get', 'Admin\VideoClassController@index', ['admin'] ] ],
	['admin/video_class/{class_id}/{id}' => ['get', 'Admin\VideoClassController@edit', ['admin'] ] ],
	['admin/video_class/{class_id}/{id}' => ['post', 'Admin\VideoClassController@add', ['admin'] ] ],
	['admin/video_class/{class_id}/{id}' => ['patch', 'Admin\VideoClassController@upd', ['admin'] ] ],
	['admin/video_class/{class_id}/{id}' => ['delete', 'Admin\VideoClassController@del', ['admin'] ] ],
	['admin/video_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\VideoClassController@ajax_upd'] ],
		# 商品
	['admin/video/{class_id}'      => ['get', 'Admin\VideoController@index', ['admin'] ] ],
	['admin/video/{class_id}/{id}' => ['get', 'Admin\VideoController@edit', ['admin'] ] ],
	['admin/video/{class_id}/{id}' => ['post', 'Admin\VideoController@add', ['admin'] ] ],
	['admin/video/{class_id}/{id}' => ['patch', 'Admin\VideoController@upd', ['admin'] ] ],
	['admin/video/{class_id}/{id}' => ['delete', 'Admin\VideoController@del', ['admin'] ] ],
	['admin/video/ajax/upd/{id}/{column}' => ['patch', 'Admin\VideoController@ajax_upd'] ],		

	// 聯絡我們
	['admin/contact'      => ['get', 'Admin\ContactController@index', ['admin'] ] ],
	['admin/contact/{id}' => ['get', 'Admin\ContactController@edit', ['admin'] ] ],
	// ['admin/contact/{id}' => ['post', 'Admin\ContactController@add', ['admin'] ] ],
	['admin/contact/{id}' => ['patch', 'Admin\ContactController@upd', ['admin'] ] ],
	['admin/contact/{id}' => ['delete', 'Admin\ContactController@del', ['admin'] ] ],
];